bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - ubuntu2004
    bazel: [7.x, 8.x]
  tasks:
    run_tests:
      name: "Run tests"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//verilator/tests:adder_verilator"
        - "//verilator/tests:load_and_count_verilator"
        - "//verilator/tests:nested_module_verilator"
        - "//verilator/tests:adder_trace_verilator"
      test_targets:
        - "//verilator/tests:adder_test"
        - "//verilator/tests:load_and_count_test"
        - "//verilator/tests:nested_module_test"
        - "//verilator/tests:adder_trace_test"
